## r-cran-m2r 1.0.2%2Bdfsg

=== debian/changelog ===
r-cran-m2r (1.0.2+dfsg-3) unstable; urgency=medium

  * debian/control
    - Add macaulay2 to Build-Depends.  This way, we will only build this
      package on architectures on which macaulay2 is available.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 06 Oct 2022 11:29:24 -0400

r-cran-m2r (1.0.2+dfsg-2) unstable; urgency=medium

  * Source-only upload for transition to testing.
  * debian/control
    - Remove r-cran-r.rsp from Build-Depends; only required for building
      the vignette, which we exclude from the package for licensing
      reasons.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 14 Sep 2022 21:06:11 -0400

r-cran-m2r (1.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1001606).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 10 Sep 2022 17:36:52 -0400

## r-cran-m2r 1.0.2+dfsg

=== DESCRIPTION ===
Package: m2r
Type: Package
Title: Interface to 'Macaulay2'
Version: 1.0.2
Authors@R: c(person("David", "Kahle", email = "david@kahle.io", role = c("aut", "cph", "cre"), comment = c(ORCID = "0000-0002-9999-1558")),
    person("Christopher", "O'Neill", email = "musicman3320@gmail.com", role = c("aut", "cph")),
    person("Jeff", "Sommars", email = "sommars1@uic.edu", role = c("aut", "cph")))
Maintainer: David Kahle <david@kahle.io>
Description: Persistent interface to 'Macaulay2' <http://www.math.uiuc.edu/Macaulay2/>
    and front-end tools facilitating its use in the 'R' ecosystem. For details see 
    Kahle et. al. (2020) <doi:10.18637/jss.v093.i09>.
License: GPL-2
LazyData: TRUE
Depends: mpoly (>= 1.0.5)
Imports: stringr, memoise, gmp, usethis, Rcpp
SystemRequirements: Macaulay2 <http://www.math.uiuc.edu/Macaulay2/>
URL: https://github.com/coneill-math/m2r
BugReports: https://github.com/coneill-math/m2r/issues
Suggests: knitr, rmarkdown, microbenchmark, testthat, R.rsp
RoxygenNote: 7.1.0
LinkingTo: Rcpp
VignetteBuilder: R.rsp
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-05-27 22:32:36 UTC; david_kahle
Author: David Kahle [aut, cph, cre] (<https://orcid.org/0000-0002-9999-1558>),
  Christopher O'Neill [aut, cph],
  Jeff Sommars [aut, cph]
Repository: CRAN
Date/Publication: 2020-05-28 08:10:07 UTC

=== debian/changelog ===
r-cran-m2r (1.0.2+dfsg-4) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/copyright
    - Bump my copyright years.
  * debian/patches/fix-tests.patch
    - Remove two tests that were failing with Macaulay2 1.23 now that
      spaces between polynomials no longer raises an error.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 06 Apr 2024 00:32:54 -0400

=== debian/control ===
Source: r-cran-m2r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               macaulay2,
               r-base-dev,
               r-cran-gmp,
               r-cran-memoise,
               r-cran-mpoly,
               r-cran-rcpp,
               r-cran-stringr,
               r-cran-usethis
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-m2r
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-m2r.git
Homepage: https://cran.r-project.org/package=m2r
Rules-Requires-Root: no

Package: r-cran-m2r
Architecture: any
Depends: macaulay2, net-tools, ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Macaulay2 interface for R
 m2r was created at the American Mathematical Society's 2016 Mathematics
 Research Community gathering on algebraic statistics. It connects R to a
 persistent local or remote Macaulay2 session and leverages mpoly's existing
 infrastructure to provide wrappers for commonly used algebraic algorithms in
 a way that naturally fits into the R ecosystem, alleviating the need to
 learn Macaulay2.  m2r provides a flexible framework for computations in the
 algebraic statistics community and beyond.

## r-cran-m2r 1.0.3+dfsg

=== DESCRIPTION ===
Package: m2r
Type: Package
Title: Interface to 'Macaulay2'
Version: 1.0.3
Authors@R: c(person("David", "Kahle", email = "david@kahle.io", role = c("aut", "cph", "cre"), comment = c(ORCID = "0000-0002-9999-1558")),
    person("Christopher", "O'Neill", email = "musicman3320@gmail.com", role = c("aut", "cph")),
    person("Jeff", "Sommars", email = "sommars1@uic.edu", role = c("aut", "cph")))
Maintainer: David Kahle <david@kahle.io>
Description: Persistent interface to 'Macaulay2' <https://www.macaulay2.com>
    and front-end tools facilitating its use in the 'R' ecosystem. For details see 
    Kahle et. al. (2020) <doi:10.18637/jss.v093.i09>.
License: GPL-2
Depends: mpoly (>= 1.0.5)
Imports: stringr, memoise, gmp, usethis, Rcpp
SystemRequirements: Macaulay2 <https://www.macaulay2.com>
URL: https://github.com/coneill-math/m2r
BugReports: https://github.com/coneill-math/m2r/issues
Suggests: knitr, rmarkdown, microbenchmark, testthat, R.rsp
RoxygenNote: 7.3.2
LinkingTo: Rcpp
VignetteBuilder: R.rsp
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2025-06-10 05:19:47 UTC; david_kahle
Author: David Kahle [aut, cph, cre] (ORCID:
    <https://orcid.org/0000-0002-9999-1558>),
  Christopher O'Neill [aut, cph],
  Jeff Sommars [aut, cph]
Repository: CRAN
Date/Publication: 2025-06-10 05:40:02 UTC

=== debian/changelog ===
r-cran-m2r (1.0.3+dfsg-3) unstable; urgency=medium

  * debian/patches/snf.patch
    - New patch; use legacy Smith normal form (otherwise tests fail).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 19 Aug 2025 19:13:55 -0400

r-cran-m2r (1.0.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released (no changes).

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 11:27:13 -0400

r-cran-m2r (1.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Bump Standards-Version to 4.7.2
  * debian/copyright
    - Update my copyright years.
  * debian/patches/fix-tests.patch
    - Remove patch; fixed upstream.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 06 Jul 2025 08:16:24 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-rcpp,
                r-cran-stringr,
                r-cran-usethis
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-m2r
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-m2r.git
 Homepage: https://cran.r-project.org/package=m2r

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://cloud.r-project.org/src/contrib/m2r_([-\d.]*)\.tar\.gz
